
SHELL = /bin/sh

# 
# Runs all the examples. 
# For quicker testing, delete pc, elpelele, and scr1.
# do (cd $$i ; echo "Making in $$i..."; make clean; done

SIMPLE = bach min vowels claps perc beat in speedt gliss torvalds scr1 elpelele pc

PACKAGES = $(SIMPLE) 

## Makes audio files.

audio:
	for i in $(PACKAGES) ;\
	do (cd $$i ; echo "Making in $$i ..."; make -e ); done

## Makes mp4 testing.

mp4test:
	for i in $(PACKAGES) ;\
	do (cd $$i ; echo "Making in $$i ..."; make -e mp4test); done

## compares audio to safe in each directory

compare:
	for i in $(PACKAGES) ;\
	do (cd $$i ; echo "Making in $$i ..."; make -e compare); done

## for timing ./sa > audio

timing:
	for i in $(PACKAGES) ;\
	do (cd $$i ; echo "Making in $$i ..."; make -e timing); done

## copies audio to safe in each directory

safe:
	for i in $(PACKAGES) ;\
	do (cd $$i ; echo "Making in $$i ..."; make -e safe); done

## Plays files through D/A (system-dependent -- set up for HPUX)

play:
	for i in $(PACKAGES) ;\
	do (cd $$i ; echo "Making in $$i ..."; make -e play); done

## Deletes all files created during testing.

clean:
	for i in $(PACKAGES) ;\
	do (cd $$i ; echo "Making in $$i ..."; make -e clean); done


 
 
 
